Bug 100247 - [NEW PORT] textproc/p5-XML-DOM2: DOM controlled, strict XML module for extentable xml objects
Summary: [NEW PORT] textproc/p5-XML-DOM2: DOM controlled, strict XML module for extent...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-13 23:10 UTC by gslin
Modified: 2006-07-15 06:07 UTC (History)
1 user (show)

See Also:


Attachments
p5-XML-DOM2-0.03.shar (3.57 KB, text/plain)
2006-07-13 23:10 UTC, gslin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2006-07-13 23:10:12 UTC
- Tinderbox log:

  http://tb.gslin.org/logs/4.11-FreeBSD-Perl5/p5-XML-DOM2-0.03.log
  http://tb.gslin.org/logs/4.11-FreeBSD-Perl58/p5-XML-DOM2-0.03.log
  http://tb.gslin.org/logs/5.5-FreeBSD/p5-XML-DOM2-0.03.log
  http://tb.gslin.org/logs/6-STABLE/p5-XML-DOM2-0.03.log

XML::DOM2 is yet _another_ perl XML module.

* DOM Level2 Compilence in both document, elements and attributes
* NameSpace control for elements and attributes
* XPath (it's just one small method once you have a good DOM)
* Extendability:
  * Document, Element or Attribute classes can be used as base class
    for other kinds of document, element or attribute.
  * Element and Attribute Handler allows element specific child
    elements and attribute objects.
  * Element and Attribute serialisation overiding.
* Parsing with SAX (use XML::SAX::PurePerl for low dependancy installs)
* Internal serialisation

Author:	Martin Owens, doctormo@cpan.org
WWW:	http://search.cpan.org/dist/XML-DOM2/

Generated with FreeBSD Port Tools 0.77
Comment 1 Cheng-Lung Sung freebsd_committer 2006-07-14 00:01:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 Cheng-Lung Sung freebsd_committer 2006-07-15 06:07:35 UTC
State Changed
From-To: open->closed

New port added. Thank You.